{
    "path": "$OET_PATH/testcases/function_test/pkg_test/glassfish-jaxb/glassfish-jaxb-xjc",
    "machine num": 1,
    "cases": [
        {
            "name": "test_glassfish-jaxb-xjc_install",
            "desc": "测试glassfish-jaxb-xjc软件包的安装功能，验证是否能够正确安装。",
            "machine num": 1
        },
        {
            "name": "test_glassfish-jaxb-xjc_function_binding",
            "desc": "测试glassfish-jaxb-xjc的XML绑定功能，验证是否能正确绑定XML到Java对象。"
        },
        {
            "name": "test_glassfish-jaxb-xjc_function_generate",
            "desc": "测试glassfish-jaxb-xjc根据XML Schema生成Java类的功能。"
        },
        {
            "name": "test_glassfish-jaxb-xjc_function_validate",
            "desc": "测试glassfish-jaxb-xjc的XML数据验证功能，确保符合Schema定义。"
        },
        {
            "name": "test_glassfish-jaxb-xjc_function_unmarshal",
            "desc": "测试glassfish-jaxb-xjc将XML数据反序列化为Java对象的功能。"
        },
        {
            "name": "test_glassfish-jaxb-xjc_function_marshal",
            "desc": "测试glassfish-jaxb-xjc将Java对象序列化为XML数据的功能。"
        },
        {
            "name": "test_glassfish-jaxb-xjc_check_version",
            "desc": "检查glassfish-jaxb-xjc的版本信息，验证其可用性。"
        }
    ]
}